// $Id: ff1.js,v 1.1.2.2 2010/02/18 23:14:20 ff1 Exp $

Drupal.behaviors.ff1 = function (context) {
  // ff1_component
  if (Drupal.settings.ff1NodeType == 'ff1_component') {
    // Add an onchange event to the component type select box.
    // Show or Hide the child car/engine selection box depending on comp type.
    $('#edit-comp-type-wrapper:not(.ff1-processed)', context).addClass('ff1-processed').each(function () {
      $('#edit-comp-type').bind("change", function(){
        ff1CompTypeChildUpdate();
      });
    });

    // Update the component form immdeiately so that both fields are never shown together.
    ff1CompTypeChildUpdate();
  }

  // ff1_team
  if (Drupal.settings.ff1NodeType == 'ff1_team') {
    // Add an onchange event to the team selection boxes.
    $('#edit-driver1:not(.ff1-processed)', context).addClass('ff1-processed').each(function () {
      $('#edit-driver1,#edit-driver2,#edit-car,#edit-engine').bind("change", function(){
        ff1CalculateTeamPrice();
      });
    });

    // Update the team form immdeiately.
    ff1CalculateTeamPrice();
  }

  // ff1_league
  if (Drupal.settings.ff1NodeType == 'ff1_league') {
    // Add an onchange event to the private tick box.
    // Show or Hide the password fields depending on the private field.
    $('#edit-private-wrapper:not(.ff1-processed)', context).addClass('ff1-processed').each(function () {
      $('#edit-private').bind("click", function(){
        ff1LeaguePrivate();
      });
    });

    // Update the league form immdeiately.
    ff1LeaguePrivate();
  }

};

function ff1CompTypeChildUpdate(){
  switch ($('#edit-comp-type').val()) {
    case 'driver':
      $('#edit-engine-wrapper').hide();
      $('#edit-car-wrapper').show();
      break;
    case 'car':
      $('#edit-car-wrapper').hide();
      $('#edit-engine-wrapper').show();
      break;
    default:
      $('#edit-engine-wrapper').hide();
      $('#edit-car-wrapper').hide();
      break;
  }
}

function ff1CalculateTeamPrice() {
  // Calculate the price of the current team selection

  var driver1 = Drupal.settings.componentPrice[parseInt($('#edit-driver1').val())];
  var driver2 = Drupal.settings.componentPrice[parseInt($('#edit-driver2').val())];
  var car = Drupal.settings.componentPrice[parseInt($('#edit-car').val())];
  var engine = Drupal.settings.componentPrice[parseInt($('#edit-engine').val())];
  var teamprice = parseInt(driver1) + parseInt(driver2) + parseInt(car) + parseInt(engine);

  var ff1MaxPrice = parseInt(Drupal.settings.ff1MaxPrice);
  var ff1Currency = Drupal.settings.ff1Currency;

  if (teamprice > ff1MaxPrice){
     $('#team-price').html(ff1Currency + teamprice + " million -> TOO EXPENSIVE!");
     $('#team-price').parent().addClass('error')
     $('#team-price').parent().removeClass('ok')
  }
  else {
     var remaining = ff1MaxPrice - teamprice;
     $('#team-price').html(ff1Currency + teamprice + " million -> " + ff1Currency + remaining + " million remaining");
     $('#team-price').parent().removeClass('error')
     $('#team-price').parent().addClass('ok')
  }

  //return teamprice;
}

function ff1LeaguePrivate(){
  if ($('#edit-private:checked').val() != null) {
  //if ($('#edit-private').is(':checked')) {
    $('#edit-pass1-wrapper').show();
    $('#edit-pass2-wrapper').show();
  }
  else {
    $('#edit-pass1-wrapper').hide();
    $('#edit-pass2-wrapper').hide();
  }
}