<?php
// $id$

/**
 * @file
 * Allows import of data for the Fantasy Formula 1 game.
 */

/**
 * Implementation of hook_migrate_api().
 *
function ff1_migrate_api() {
  $api = array(
    'api' => 1,
    'integration modules' => array(
      'ff1' => array('status' => FALSE),
    ),
  );
  return $api;
}
*/

/**
 * Implementation of hook_migrate_types().
 */
function ff1_migrate_types() {
  $types = array(
    'node/ff1_component' => t('FF1: Component'),
    'node/ff1_race' => t('FF1: Race'),
    //'node/ff1_team' => t('Team'),
    //'node/ff1_league' => t('League'),
  );
  return $types;
}

/**
 * Implementation of hook_migrate_fields_node().
 */
function ff1_migrate_fields_node($type) {
  drupal_set_message(t("The migrate type is: $type."));
  switch ($type) {
    case 'node/ff1_component':
      $fields = array(
        '[nid]' => t('Node ID of the component.'),
        'comp_type' => t('Component type.'),
        'comp_name' => t('Name of the component.'),
        'nationality' => t('Nationality of the component.'),
        'price' => t('Price to add the component to a team.'),
        'website' => t("url of the component's website."),
        'child_component' => t('Name of the child component in the relationship'),
      );
      break;

    case 'node/ff1_race':
      $fields = array(
        '[nid]' => t('Node ID of the race.'),
        'race_number' => t('The position of the race in the season calendar.'),
        'race_name' => t('The name of the race.'),
        'track_name' => t('The name of the track where the race is held.'),
        'sentence_name' => t('The name of the race used within a sentence.'),
        'flag' => t('Image of the flag. TODO: Change this field to an image upload.'),
        'website' => t('url of the race website.'),
        'qual_results' => t('url of the external qualifying results.'),
        'race_results' => t('url of the external race results.'),
        'fastlap_results' => t('url of the external fastest lap results.'),
        'story' => t('Node ID of the node used to announce the results update.'),
      );
      break;

    case 'ff1_league':
      // Don't want to import leagues.
      break;

    case 'ff1_team':
      // Don't want to import teams.
      break;
  }
  return $fields;
}

/**
 * Implementation of hook_migrate_prepare_node().
 */
function ff1_migrate_prepare_node(&$node, $tblinfo, $row) {
  switch ($node->type) {
    case 'ff1_component':
      if ($node->child_component) {
        $child_component_nid = db_result(db_query("SELECT nid FROM {ff1_components} WHERE comp_name = '%s')", $node->child_component));
      }
      // add in extra relationship: driver-car or car-engine
      if ($node->comp_type == 'driver') {
        $node->car = $node->child_component;
      }
      elseif ($node->comp_type == 'car') {
        $node->engine = $node->child_component;
      }
      break;

    case 'ff1_race':
      break;

    case 'ff1_league':
      // Don't want to import leagues.
      break;

    case 'ff1_team':
      // Don't want to import teams.
      break;
  }
}